unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  ExpandPanels, StdCtrls, ExtCtrls, Menus, SynEdit;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MyRollOut1: TMyRollOut;
    Notebook1: TNotebook;
    Page1: TPage;
    Page2: TPage;
    Page3: TPage;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    SynEdit1: TSynEdit;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure MainButtonMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure MyRollOut1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

//------------------------------------------------------------------------------
procedure TForm1.FormCreate(Sender: TObject);
begin
   MyRollOut1.Animated  := False;
   MyRollOut1.Collapsed := True;
   MyRollOut1.Animated  := True;
end;

//------------------------------------------------------------------------------
procedure TForm1.FormResize(Sender: TObject);
begin
   MyRollOut1.Button.Left   := (Form1.Width - MyRollOut1.Button.Width);
   MyRollOut1.Button.Top    := (Panel3.Top);
   MyRollOut1.Button.Height := (Panel3.Height);
   
   Panel4.Left   := Panel3.Width;
   Panel4.Top    := Panel3.Top;
   Panel4.Width  := Form1.Width - (Panel3.Width + MyRollOut1.Button.Width);
   Panel4.Height := Panel3.Height;
end;

//------------------------------------------------------------------------------
procedure TForm1.MainButtonMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   if MyRollOut1.Collapsed then begin
      MyRollOut1.Collapsed := False;
      Timer1.Enabled := True;
   end;
end;

//------------------------------------------------------------------------------
procedure TForm1.MyRollOut1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   Timer1.Enabled := False;                          // TIMER ZURCKSETZEN/RESET
   Timer1.Enabled := True;
end;

//------------------------------------------------------------------------------
procedure TForm1.Timer1Timer(Sender: TObject);
begin
   MyRollOut1.Collapsed := True;
   Timer1.Enabled := False;
end;


initialization
  {$I unit1.lrs}

end.

